Bug 443896 - RFE: [Ext4 enabler] backport vfs helpers to facilitate ext4 backport and testing
Summary: RFE: [Ext4 enabler] backport vfs helpers to facilitate ext4 backport and testing
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 447797 KernelPrio5.3
TreeView+ depends on / blocked
 
Reported: 2008-04-23 21:59 UTC by Eric Sandeen
Modified: 2010-03-14 21:31 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-01-20 19:52:21 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Eric Sandeen 2008-04-23 21:59:22 UTC
When backporting ext4 for testing with RHEL5, I have found many upstream helpers
and functions in the VFS which have been added that must be accommodated in
order to build and run ext4 in a RHEL5 kernel.

While these can be accommodated by modifying the ext4 source, it seems
reasonable to me to backport these common helpers to the RHEL5 kernel when they
are standalone, safe, small pieces of code.

Examples:

ERR_CAST()
percpu_counter_sub()
percpu_counter_add()
le16_add_cpu() and friends
inode_inc_iversion()
clear_nlink()
drop_nlink()
is_owner_or_cap()

etc.

For the most part, these are mostly just helpful wrappers around existing bits
of code, for common use cases.  I'd like to propose backporting them to the
RHEL5.3 kernel so that ext4, or other newer filesystems (perhaps eCryptfs) can
be backported to RHEL5 with fewer modifications to the fs's code base.  Having
them in RHEL5.3 early would simplify building and testing ext4 against rhel5.

There should be no material impact on existing RHEL5 code.

Thanks,
-Eric

Comment 3 Don Zickus 2008-08-13 16:07:15 UTC
in kernel-2.6.18-104.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 4 Don Zickus 2008-08-13 17:25:44 UTC
in kernel-2.6.18-104.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 Ryan Lerch 2008-11-05 03:36:39 UTC
This bug (feature request) has been marked for inclusion in the Red Hat Enterprise Linux 5.3 Release Notes.

To aid in the development of relevant and accurate release notes, please fill out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances induced the feature request.

Consequence:  What action was inhibited by the feature's absence.

Fix:   What was done to implement the feature.

Result:  now happens when the actions or circumstances above occur. (NB: this is not the same as 'the feature request was fulfilled')

Comment 10 Eric Sandeen 2008-12-04 23:06:59 UTC
Clearing the release notes on this bug; this was just VFS helpers to facilitate early distribution & testing of the ext4 module.  I don't think this bug in particular needs any release notes at all.  Sorry for leaving the flag on for so long!

Comment 12 errata-xmlrpc 2009-01-20 19:52:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.